## tempest 24.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
tempest (1:24.0.0-4) unstable; urgency=medium

  * Fix the debian shell wrapper to use stestr, not testrepository.
  * Removed oslo.i18n from list of namespace to generate tempest.conf.
  * Fixed PYTHONPATH when generating tempest.conf.
  * Removed some of the tempest.conf customizations.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 May 2020 00:05:23 +0200

tempest (1:24.0.0-3) unstable; urgency=medium

  * Fix tempest.conf generation.
  * Removed runtime depends on python3-neutron-tempest-plugin.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 23:23:58 +0200

tempest (1:24.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Move the package to the tempest subgroup in Salsa.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 10:24:40 +0200

tempest (1:23.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 09:33:20 +0200

tempest (1:22.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:51:29 +0200

tempest (1:22.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add remove-sphinxcontrib.rsvgconverter-from-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 09:13:17 +0200

tempest (1:21.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2019 22:15:04 +0200

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-cliff,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-jsonschema,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-paramiko,
 python3-prettytable,
 python3-psycopg2,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-testtools,
 python3-unittest2,
 python3-urllib3,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/tempest
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/tempest.git
Homepage: https://github.com/openstack/tempest

Package: python3-tempest
Architecture: all
Depends:
 python3-cliff,
 python3-ddt,
 python3-debtcollector,
 python3-fixtures,
 python3-gabbi,
 python3-jsonschema,
 python3-netaddr,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-paramiko,
 python3-pbr,
 python3-prettytable,
 python3-six,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-unittest2,
 python3-urllib3,
 python3-yaml,
 subunit,
 testrepository,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-tempest-lib,
Replaces:
 python3-tempest-lib,
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends:
 e2fsprogs,
 python3-tempest (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

## tempest 25.0.0

=== debian/changelog ===
tempest (1:25.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 11:20:42 +0200

tempest (1:25.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add remove-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2020 13:25:01 +0200

## tempest 25.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
testtools>=2.2.0 # MIT
paramiko>=2.0.0 # LGPLv2.1+
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
stestr>=1.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
six>=1.10.0 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
PyYAML>=3.12 # MIT
python-subunit>=1.0.0 # Apache-2.0/BSD
stevedore>=1.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
urllib3>=1.21.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
unittest2>=1.1.0 # BSD

=== debian/changelog ===
tempest (1:25.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:41:57 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
  python3-debtcollector,
  python3-fixtures,
  python3-hacking,
- python3-jsonschema,
- python3-mock,
+ python3-jsonschema (>= 3.2.0),
  python3-mysqldb,
  python3-netaddr,
  python3-openstackdocstheme,
@@ -59,7 +58,7 @@
  python3-debtcollector,
  python3-fixtures,
  python3-gabbi,
- python3-jsonschema,
+ python3-jsonschema (>= 3.2.0),
  python3-netaddr,
  python3-os-testr,
  python3-oslo.concurrency,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9
export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Cleanups
	rm -rf $(CURDIR)/debian/python*/usr/etc

	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
	PYTHONPATH=$(CURDIR)/debian/python3-tempest/usr/lib/python3/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
		--wrap-width 140 \
		--namespace tempest.config \
		--namespace oslo.concurrency \
		--namespace oslo.log
	
	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml

	# Fix-up some preferences
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf oslo_concurrency lock_path /var/lock

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_username admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_domain_name Default

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute fixed_network_name demo-net
	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute region regionOne

	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity disable_ssl_certificate_validation true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity auth_version v3
	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity region regionOne

	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf image region regionOne

	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network region regionOne

	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne

	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume region regionOne

	# Otherwise, there's some cinder tempest failures
	#pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume-feature-enabled volume_services true

	# Package stuff in /var/lib/tempest, since we need read/write access
	# to run the testr stuff
	mkdir -p $(CURDIR)/debian/tempest/var/lib/tempest
	ln -s /usr/lib/python3/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
	cp .stestr.conf $(CURDIR)/debian/tempest/var/lib/tempest
	install -D -m 775 debian/tempest_shell_wrapper $(CURDIR)/debian/tempest/usr/bin/tempest_debian_shell_wrapper

	rm -fr $(CURDIR)/debian/tempest/usr/etc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for pyvers in $(PYTHON3S) ; do \
		rm -rf .stestr ; \
		PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python3/dist-packages PYTHON=python$$pyvers stestr --test-path ./tempest/tests run | subunit2pyunit ; \
		stestr slowest ; \
		rm -rf .stestr ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## tempest 29.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,20 +5,19 @@
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 jsonschema>=3.2.0 # MIT
 testtools>=2.2.0 # MIT
-paramiko>=2.0.0 # LGPLv2.1+
+paramiko>=2.7.0 # LGPLv2.1+
 netaddr>=0.7.18 # BSD
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 stestr>=1.0.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
-six>=1.10.0 # MIT
+oslo.utils>=4.7.0 # Apache-2.0
 fixtures>=3.0.0 # Apache-2.0/BSD
 PyYAML>=3.12 # MIT
 python-subunit>=1.0.0 # Apache-2.0/BSD
 stevedore>=1.20.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
+PrettyTable>=0.7.1 # BSD
 urllib3>=1.21.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 unittest2>=1.1.0 # BSD

=== debian/changelog ===
tempest (1:29.0.0-3) unstable; urgency=medium

  * Add add-delay-in-subnet-teardown.patch.
  * Refresh remove-sphinxcontrib.rsvgconverter-from-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Jan 2022 16:51:28 +0100

tempest (1:29.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:41:27 +0200

tempest (1:29.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 12:55:41 +0200

tempest (1:28.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Sep 2021 09:38:20 +0200

tempest (1:28.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 09:12:17 +0200

tempest (1:27.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:23:35 +0200

tempest (1:27.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Mar 2021 17:31:02 +0200

tempest (1:26.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix installing files in /etc/tempest (upstream file list change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Mar 2021 13:20:45 +0100

tempest (1:26.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends version when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 10:18:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -21,7 +21,7 @@
  python3-debtcollector,
  python3-fixtures,
  python3-hacking,
- python3-jsonschema (>= 3.2.0),
+ python3-jsonschema,
  python3-mysqldb,
  python3-netaddr,
  python3-openstackdocstheme,
@@ -30,12 +30,11 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.7.0),
  python3-oslotest,
  python3-paramiko,
  python3-prettytable,
  python3-psycopg2,
- python3-six,
  python3-stestr,
  python3-stevedore,
  python3-swiftclient,
@@ -58,19 +57,18 @@
  python3-debtcollector,
  python3-fixtures,
  python3-gabbi,
- python3-jsonschema (>= 3.2.0),
+ python3-jsonschema,
  python3-netaddr,
  python3-os-testr,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.7.0),
  python3-oslotest,
  python3-paramiko,
  python3-pbr,
  python3-prettytable,
- python3-six,
  python3-stevedore,
  python3-subunit,
  python3-swiftclient,

## tempest 30.1.0

=== debian/changelog ===
tempest (1:30.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Apr 2022 12:51:36 +0200

tempest (1:30.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:03:14 +0200

tempest (1:30.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 19:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  git,
  python3-cliff,
  python3-coverage,
+ python3-cryptography,
  python3-debtcollector,
  python3-fixtures,
  python3-hacking,
@@ -39,7 +40,6 @@
  python3-stevedore,
  python3-swiftclient,
  python3-testtools,
- python3-unittest2,
  python3-urllib3,
  python3-yaml,
  subunit,
@@ -53,6 +53,7 @@
 Architecture: all
 Depends:
  python3-cliff,
+ python3-cryptography,
  python3-ddt,
  python3-debtcollector,
  python3-fixtures,
@@ -74,7 +75,6 @@
  python3-swiftclient,
  python3-testscenarios,
  python3-testtools,
- python3-unittest2,
  python3-urllib3,
  python3-yaml,
  subunit,

## tempest 32.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 jsonschema>=3.2.0 # MIT
 testtools>=2.2.0 # MIT
 paramiko>=2.7.0 # LGPLv2.1+
+cryptography>=2.1 # BSD/Apache-2.0
 netaddr>=0.7.18 # BSD
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
@@ -20,4 +21,3 @@
 PrettyTable>=0.7.1 # BSD
 urllib3>=1.21.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0
-unittest2>=1.1.0 # BSD

=== debian/changelog ===
tempest (1:32.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 16:57:01 +0200

tempest (1:32.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 11:02:13 +0200

tempest (1:31.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 15:45:52 +0200

## tempest 33.0.0

=== requirements.txt ===
--- 
+++ 
@@ -21,3 +21,4 @@
 PrettyTable>=0.7.1 # BSD
 urllib3>=1.21.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0
+defusedxml>=0.7.1 # PSFL

=== debian/changelog ===
tempest (1:33.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-defusedxml as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 09:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-coverage,
  python3-cryptography,
  python3-debtcollector,
+ python3-defusedxml,
  python3-fixtures,
  python3-hacking,
  python3-jsonschema,
@@ -56,6 +57,7 @@
  python3-cryptography,
  python3-ddt,
  python3-debtcollector,
+ python3-defusedxml,
  python3-fixtures,
  python3-gabbi,
  python3-jsonschema,

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,8 @@
 	
 	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
 	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
-	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml
+	install -D -m 0664 etc/rbac-persona-accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/rbac-persona-accounts.yaml
+	install -D -m 0664 etc/allow-list.yaml $(CURDIR)/debian/tempest/etc/tempest/allow-list.yaml
 
 	# Fix-up some preferences
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false

## tempest 34.1.0

=== debian/changelog ===
tempest (1:34.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046125).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:48:03 +0200

tempest (1:34.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:20:30 +0200

tempest (1:34.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 09:53:17 +0100

tempest (1:34.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed alternatives handling after Bookworm is released.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 08:41:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 
 override_dh_auto_clean:
 	rm -rf .testrepository
+	find . -type d -name __pycache__ -exec rm -r {} \+
+	rm -rf build
+	rm -f tempest.log tempest.conf.sample doc/source/plugins/plugin-registry.rst doc/source/_static/tempest.conf.sample etc/tempest.conf.sample
 
 override_dh_auto_build:
 	echo "Do nothing..."

## tempest 36.0.0

=== requirements.txt ===
--- 
+++ 
@@ -22,3 +22,4 @@
 urllib3>=1.21.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 defusedxml>=0.7.1 # PSFL
+fasteners>=0.16.0 # Apache-2.0

=== debian/changelog ===
tempest (1:36.0.0-2) unstable; urgency=medium

  * Do not wrap exclude tests with '.*'.
  * Set concurrency to $(nproc).

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jan 2024 13:36:24 +0100

tempest (1:36.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:21:59 +0200

tempest (1:35.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:10:02 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-cryptography,
  python3-debtcollector,
  python3-defusedxml,
+ python3-fasteners,
  python3-fixtures,
  python3-hacking,
  python3-jsonschema,
@@ -32,7 +33,7 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.utils,
  python3-oslotest,
  python3-paramiko,
  python3-prettytable,
@@ -58,6 +59,7 @@
  python3-ddt,
  python3-debtcollector,
  python3-defusedxml,
+ python3-fasteners,
  python3-fixtures,
  python3-gabbi,
  python3-jsonschema,
@@ -67,7 +69,7 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.utils,
  python3-oslotest,
  python3-paramiko,
  python3-pbr,

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf .testrepository
+	rm -rf .testrepository *.egg-info
 	find . -type d -name __pycache__ -exec rm -r {} \+
 	rm -rf build
 	rm -f tempest.log tempest.conf.sample doc/source/plugins/plugin-registry.rst doc/source/_static/tempest.conf.sample etc/tempest.conf.sample

## tempest 38.0.0

=== debian/changelog ===
tempest (1:38.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:53:47 +0200

tempest (1:37.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 14:08:05 +0100

## tempest 40.0.0

=== debian/changelog ===
tempest (1:40.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:16:20 +0200

tempest (1:40.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 13:36:25 +0200

tempest (1:39.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 15:21:27 +0200

## tempest 41.0.0

=== requirements.txt ===
--- 
+++ 
@@ -23,3 +23,4 @@
 debtcollector>=1.2.0 # Apache-2.0
 defusedxml>=0.7.1 # PSFL
 fasteners>=0.16.0 # Apache-2.0
+testscenarios>=0.5.0

=== debian/changelog ===
tempest (1:41.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090450).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 13:52:11 +0100

tempest (1:41.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2024 12:06:23 +0200

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,7 @@
  python3-stevedore,
  python3-swiftclient,
  python3-testtools,
+ python3-testscenarios,
  python3-urllib3,
  python3-yaml,
  subunit,

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
-export HTTP_PROXY=127.0.0.1:9
-export HTTPS_PROXY=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
+#export HTTP_PROXY=127.0.0.1:9
+#export HTTPS_PROXY=127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf .testrepository *.egg-info

=== debian/tests/control ===
Tests: unittests
Depends:
 @builddeps@,
 tempest,
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/tempest/tags .*/(\d[brc\d\.]+)\.tar\.gz

## tempest 43.0.0

=== debian/changelog ===
tempest (1:43.0.0-3) unstable; urgency=medium

  * Remove --namespace heat-tempest-plugin when generating tempest.conf: it
    appears the namespace is a duplicate in tempest.config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 08:37:31 +0200

tempest (1:43.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Use --namespace heat-tempest-plugin when generating tempest.conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:55:12 +0100

tempest (1:43.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 16:49:10 +0100

tempest (1:42.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:35:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ heat-tempest-plugin (>= 2.5.0-2),
  git,
  python3-cliff,
  python3-coverage,
@@ -33,7 +34,7 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslotest,
  python3-paramiko,
  python3-prettytable,
@@ -55,6 +56,7 @@
 Package: python3-tempest
 Architecture: all
 Depends:
+ heat-tempest-plugin (>= 2.5.0-2),
  python3-cliff,
  python3-cryptography,
  python3-ddt,
@@ -70,7 +72,7 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslotest,
  python3-paramiko,
  python3-pbr,

## tempest 44.0.0

=== debian/changelog ===
tempest (1:44.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Display sphinx stack dump if generating doc fails.
  * Fix wrong PYTHONPATH syspath in doc's conf.py.
  * Add missing ${sphinxdoc:Depends}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Sep 2025 15:14:36 +0200

## tempest 45.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 jsonschema>=3.2.0 # MIT
@@ -13,7 +10,7 @@
 oslo.log>=3.36.0 # Apache-2.0
 stestr>=1.0.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.utils>=4.7.0 # Apache-2.0
+oslo.utils>=7.0.0 # Apache-2.0
 fixtures>=3.0.0 # Apache-2.0/BSD
 PyYAML>=3.12 # MIT
 python-subunit>=1.0.0 # Apache-2.0/BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
tempest (1:45.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:24:29 +0200

tempest (1:45.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2025 14:46:59 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ git,
  heat-tempest-plugin (>= 2.5.0-2),
- git,
  python3-cliff,
  python3-coverage,
  python3-cryptography,
@@ -42,8 +42,8 @@
  python3-stestr,
  python3-stevedore,
  python3-swiftclient,
+ python3-testscenarios,
  python3-testtools,
- python3-testscenarios,
  python3-urllib3,
  python3-yaml,
  subunit,
@@ -107,6 +107,7 @@
  python3-tempest (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
+ ${sphinxdoc:Depends},
 Description: OpenStack Integration Test Suite
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,10 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
+	if ! PYTHONPATH=. python3 -m sphinx -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html ; then \
+		cat /tmp/sphinx-err-*.log ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 tempest,
 @builddeps@,
Restrictions:
 allow-stderr needs-root,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/tempest refs/tags/(\d[brc\d\.]+)

## tempest 46.1.1

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-jsonschema>=3.2.0 # MIT
+jsonschema>=4.5.0 # MIT
 testtools>=2.2.0 # MIT
 paramiko>=2.7.0 # LGPLv2.1+
 cryptography>=2.1 # BSD/Apache-2.0

=== debian/changelog ===
tempest (1:46.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:02:32 +0100

tempest (1:45.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046125).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:25:35 +0100

## tempest 2013.2.a1291.g23a1b4f

=== requirements.txt ===
d2to1>=0.2.10,<0.3
pbr>=0.5,<0.6
anyjson
nose
httplib2>=0.7.0
testtools>=0.9.32
lxml
boto>=2.2.1
paramiko
netaddr
python-glanceclient>=0.5.0
python-keystoneclient>=0.2.0
python-novaclient>=2.10.0
python-quantumclient>=2.1
python-cinderclient>=1.0.4,<2
testresources
keyring
testrepository
oslo.config>=1.1.0
# Needed for whitebox testing
sqlalchemy
MySQL-python

=== debian/changelog ===
tempest (2013.2.a1291.g23a1b4f-0ubuntu2) trusty; urgency=medium

  * Fix dependency typo (python-prb -> python-pbr).
  * Fix package description typos.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 09:57:50 +0000

tempest (2013.2.a1291.g23a1b4f-0ubuntu1) saucy; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 22 Jun 2013 14:35:09 -0500

=== debian/control ===
Source: tempest
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep: python-d2to1, python-setuptools,
 python-pbr,
 python-anyjson,
 python-nose,
 python-httplib2,
 python-testtools,
 python-lxml,
 python-boto,
 python-paramiko,
 python-netaddr,
 python-glanceclient,
 python-keystoneclient,
 python-novaclient,
 python-quantumclient,
 python-cinderclient,
 python-testresources,
 python-keyring,
 python-oslo.config,
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
 python-mysqldb,
 testrepository
Standards-Version: 3.9.4

Package: tempest
Architecture: all
Depends: python-tempest (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Openstack integration test suite
 tempest is a set of integration tests to be run against a live Openstack 
 cluster. Tempest has batteries of tests for Openstack API validation,
 scenarios, and other specific tests useful in validating an Openstack
 deployment.

Package: python-tempest
Architecture: all
Section: python
Depends: python-anyjson,
 python-d2to1,
 python-pbr,
 python-nose,
 python-httplib2,
 python-testtools,
 python-lxml,
 python-boto,
 python-paramiko,
 python-netaddr,
 python-glanceclient,
 python-keystoneclient,
 python-novaclient,
 python-quantumclient,
 python-cinderclient,
 python-testresources,
 python-keyring,
 python-oslo.config,
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
 python-mysqldb,
 testrepository,
 ${misc:Depends},
 ${python:Depends}
XB-Python_Version: ${python:Versions}
Description: Openstack integration test suite
 tempest is a set of integration tests to be run against a live Openstack
 cluster. Tempest has batteries of tests for Openstack API validation,
 scenarios, and other specific tests useful in validating an Openstack
 deployment.
 .
 This package contains the core Python parts of tempest.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

## tempest 2014.1.dev4108.gf22b6cc

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
httplib2>=0.7.5
jsonschema>=2.0.0,<3.0.0
testtools>=0.9.34
lxml>=2.3
boto>=2.12.0,!=2.13.0
paramiko>=1.9.0
netaddr>=0.7.6
python-glanceclient>=0.9.0
python-keystoneclient>=0.8.0
python-novaclient>=2.17.0
python-neutronclient>=2.3.4,<3
python-cinderclient>=1.0.6
python-heatclient>=0.2.3
python-ironicclient
python-saharaclient>=0.6.0
python-swiftclient>=1.6
testresources>=0.2.4
keyring>=2.1
testrepository>=0.0.18
oslo.config>=1.2.0
six>=1.6.0
iso8601>=0.1.9
fixtures>=0.3.14
testscenarios>=0.4

=== debian/changelog ===
tempest (2014.1.dev4108.gf22b6cc-0ubuntu2) xenial; urgency=medium

  * Fix spelling of XB-Python-Version control field.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Oct 2015 20:16:32 +0000

tempest (2014.1.dev4108.gf22b6cc-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 May 2014 14:47:59 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: python-d2to1, python-setuptools,
  python-pbr,
  python-anyjson,
- python-nose,
+ python-jsonschema,
  python-httplib2,
  python-testtools,
  python-lxml,
@@ -16,13 +16,21 @@
  python-glanceclient,
  python-keystoneclient,
  python-novaclient,
- python-quantumclient,
+ python-neutronclient,
  python-cinderclient,
+ python-heatclient,
+ python-swiftclient,
+ python-keyring,
+ python-iso8601,
+ python-fixtures,
+ python-testscenarios,
  python-testresources,
  python-keyring,
  python-oslo.config,
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
  python-mysqldb,
+ python-mox,
+ python-mock,
+ python-six,
  testrepository
 Standards-Version: 3.9.4
 
@@ -39,10 +47,9 @@
 Architecture: all
 Section: python
 Depends: python-anyjson,
- python-d2to1,
  python-pbr,
- python-nose,
  python-httplib2,
+ python-jsonschema,
  python-testtools,
  python-lxml,
  python-boto,
@@ -51,17 +58,21 @@
  python-glanceclient,
  python-keystoneclient,
  python-novaclient,
- python-quantumclient,
+ python-neutronclient,
  python-cinderclient,
+ python-ironicclient,
+ python-swiftclient,
  python-testresources,
  python-keyring,
  python-oslo.config,
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
- python-mysqldb,
  testrepository,
+ python-six,
+ python-iso8601,
+ python-fixtures,
+ python-testscenarios,
  ${misc:Depends},
  ${python:Depends}
-XB-Python_Version: ${python:Versions}
+XB-Python-Version: ${python:Versions}
 Description: Openstack integration test suite
  tempest is a set of integration tests to be run against a live Openstack
  cluster. Tempest has batteries of tests for Openstack API validation,
